﻿Public Class Component

	Public ReadOnly Property Name As String
	Public ReadOnly Property PositionX As Integer
	Public ReadOnly Property PositionY As Integer

	Public Sub New(name As String, positionX As Integer, positionY As Integer)
		If name Is Nothing Then
			Throw New ArgumentNullException(NameOf(name))
		End If

		Me.Name = name
		Me.PositionX = positionX
		Me.PositionY = positionY
	End Sub
End Class
